|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleOptionTitleBar Class Reference
[QtGui module]

The QStyleOptionTitleBar class is used to describe the parameters for drawing a title bar. More...

    #include <QStyleOptionTitleBar>

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Public Functions

- QStyleOptionTitleBar ()
- QStyleOptionTitleBar ( const QStyleOptionTitleBar & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- QIcon icon
- QString text
- Qt::WFlags titleBarFlags
- int titleBarState

- 2 public variables inherited from QStyleOptionComplex
- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOptionComplex
- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionTitleBar class is used to describe the parameters for drawing a title bar.

The QStyleOptionTitleBar class is used to draw the title bars of QWorkspace's MDI children.

## Member Function Documentation

### QStyleOptionTitleBar::QStyleOptionTitleBar ()

Constructs a QStyleOptionTitleBar. The members variables are initialized to default values.

### QStyleOptionTitleBar::QStyleOptionTitleBar ( const QStyleOptionTitleBar & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### const int QStyleOptionTitleBar::Type

Equals SO_TitleBar.

### const int QStyleOptionTitleBar::Version

Equals 1.

### QIcon QStyleOptionTitleBar::icon

This variable holds the icon for the title bar.

### QString QStyleOptionTitleBar::text

This variable holds the text of the title bar.

### Qt::WFlags QStyleOptionTitleBar::titleBarFlags

This variable holds the widget flags for the title bar.

See also Qt::WFlags.

### int QStyleOptionTitleBar::titleBarState

This variable holds the state of the title bar.

This is basically the window state of the underlying widget.

See also QWidget::windowState().